Redmine - Defect #30713

Remove diff-feature for changed descriptions due to privacy concerns
2019-01-29 15:11 - Dan Untenzu

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 4.0.1

Description
tl;dr Please remove the diff-feature for changed descriptions, or allow to enable/disable it due to privacy reasons.

Situation:

Issue descriptions and comments may contain personal data. For example if the ticket creator adds personal data to identify himself
or if the issue was created automatically and includes data like an IP address.

To meet the requirements of the GDPR (https://en.wikipedia.org/wiki/General_Data_Protection_Regulation) in Europe it needs to be
possible to remove such data.

It is possible to edit issue descriptions and comments. Whenever the issue description is changed Redmine automatically creates a
diff with the previous version and appends it to the ticket. It is nit possible to remove this data. This means that any personal data,
once included in description, will always remain in the ticket.

A suggested solution might be: Delete the issue. This however means that the ticket history is lost completly. Support & compliance
however need this.

Since no diff is made for comments it might be as good to remove the diff feature for descriptions as well. Another solution would be
to add an option which enables or disables the diff feature.

~dan

History

#1 - 2019-01-29 15:28 - Dan Untenzu
- File ticket-description-updated-diff.png added

Example diff link: https:/redmine.example.com/journals/1/diff?detail _id=1

#2 - 2019-02-03 07:46 - Go MAEDA

- Category set to Issues

Files

ticket-description-updated-diff.png 12.8 KB 2019-01-29 Dan Untenzu
